package malovani.modely;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Point;

/**
 *
 * @author Radek Malinský
 */
public class Obdelnik extends Zakladni2D {

    protected int sirka, vyska;

    public Obdelnik(Color barva, Point pocatecni, TypySrafovani srafovani, int sirka, int vyska) {
        super(barva, pocatecni, srafovani);
        this.sirka = sirka;
        this.vyska = vyska;
    }

    @Override
    public void vykresliSe(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        g2.setColor(barva);

        switch (srafovani) {
            case ZADNE:
                g2.drawRect(souradnice.x, souradnice.y, sirka, sirka);
                break;
            case PLNE:
                g2.fillRect(souradnice.x, souradnice.y, sirka, sirka);
        }
    }
}
