package malovani.platno;

import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JFrame;
import malovani.modely.Zakladni;

/**
 *
 * @author Radek Malinský
 */
public class Platno extends JFrame {

    // Zakladni[] objektyKeKresleni = new Zakladni[20];
    List<Zakladni> objektyKeKresleni = new ArrayList<Zakladni>();

    public void pridejObjekt(Zakladni objektKeKresleni) {
        objektyKeKresleni.add(objektKeKresleni);
    }

    @Override
    public void paint(Graphics g) {
        for (Zakladni objekt : objektyKeKresleni) {
            objekt.vykresliSe(g);
        }
    }
}
