package malovani;

import java.awt.Color;
import java.awt.Point;
import malovani.modely.Bod;
import malovani.modely.Ctverec;
import malovani.modely.TypySrafovani;
import malovani.modely.Usecka;
import malovani.platno.Platno;

/**
 *
 * @author Radek Malinský
 */
public class Main {

    public static void main(String[] args) {
        Platno platno = new Platno();
        /* nastaveni velikosti okna */
        platno.setSize(640, 480);
        /* pri zavreni okna se ukonci i aplikace */
        platno.setDefaultCloseOperation(3);
        /* zobrazeni okna */
        platno.setVisible(true);

        Ctverec c = new Ctverec(Color.GREEN, new Point(200, 200), TypySrafovani.PLNE, 100);
        platno.pridejObjekt(c);

        Usecka u = new Usecka(Color.BLUE, new Point(100, 100), new Point(400, 400));
        platno.pridejObjekt(u);

        Usecka u2 = new Usecka(Color.RED, new Point(400, 100), new Point(100, 400));
        platno.pridejObjekt(u2);

        Bod d = new Bod(Color.BLACK, new Point(250, 250));
        platno.pridejObjekt(d);
    }
}
